Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.tudelft.simulation.dsol.statistics.charts
Class XYChart

    java.lang.Object
      nl.tudelft.simulation.jstats.charts.xy.XYChart
          nl.tudelft.simulation.dsol.statistics.charts.XYChart

All Implemented Interfaces:
  nl.tudelft.simulation.jstats.Swingable

public class XYChart
extends nl.tudelft.simulation.jstats.charts.xy.XYChart

The XYPlot extends the XYPlot and links this it to the dsol framework
(c) copyright 2003 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Version:
  1.0 18.08.2003
Author:
  Peter Jacobs

Field Summary

Fields inherited from class nl.tudelft.simulation.jstats.charts.xy.XYChart
`axisType, chart, dataset, LABEL_X_AXIS, LABEL_Y_AXIS, XLINEAR_YLINEAR, XLINEAR_YLOGARITHMIC, XLOGARITHMIC_YLINEAR, XLOGARITHMIC_YLOGARITHMIC`

Constructor Summary
`XYChart(SimulatorInterface simulator, java.lang.String title)` constructs a new XYChart
`XYChart(SimulatorInterface simulator, java.lang.String title, double[] domain)` constructs a new XYChart
`XYChart(SimulatorInterface simulator, java.lang.String title, double[] domain, double[] range)` constructs a new XYChart
`XYChart(SimulatorInterface simulator, java.lang.String title, double[] domain, double[] range, short axisType)` constructs a new XYChart
`XYChart(SimulatorInterface simulator, java.lang.String title, double[] domain, short axisType)` constructs a new XYChart
`XYChart(SimulatorInterface simulator, java.lang.String title, short axisType)` constructs a new XYChart

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class nl.tudelft.simulation.jstats.charts.xy.XYChart
`add, add, getChart, getDataset, getSwingPanel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XYChart

    public XYChart(SimulatorInterface simulator,
                   java.lang.String title)
            throws java.rmi.RemoteException

  constructs a new XYChart

Parameters:
  `simulator` - the simulator
  `title` - the title
Throws:
  `java.rmi.RemoteException` - on network failure

### XYChart

    public XYChart(SimulatorInterface simulator,
                   java.lang.String title,
                   short axisType)
            throws java.rmi.RemoteException

  constructs a new XYChart

Parameters:
  `simulator` - the simulator
  `title` - the title
  `axisType` - the axisType to use.
Throws:
  `java.rmi.RemoteException` - on network failure

### XYChart

    public XYChart(SimulatorInterface simulator,
                   java.lang.String title,
                   double[] domain)

  constructs a new XYChart

Parameters:
  `simulator` - the simulator
  `title` - the title
  `domain` - the domain

### XYChart

    public XYChart(SimulatorInterface simulator,
                   java.lang.String title,
                   double[] domain,
                   short axisType)

  constructs a new XYChart

Parameters:
  `simulator` - the simulator
  `title` - the title
  `domain` - the domain
  `axisType` - the axisType to use.

### XYChart

    public XYChart(SimulatorInterface simulator,
                   java.lang.String title,
                   double[] domain,
                   double[] range)

  constructs a new XYChart

Parameters:
  `simulator` - the simulator
  `title` - the title
  `domain` - the domain
  `range` - the range

### XYChart

    public XYChart(SimulatorInterface simulator,
                   java.lang.String title,
                   double[] domain,
                   double[] range,
                   short axisType)

  constructs a new XYChart

Parameters:
  `simulator` - the simulator
  `title` - the title
  `domain` - the domain
  `range` - the range
  `axisType` - the XYChart.axisType

Method Detail

### toString

    public java.lang.String toString()

  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 Delft University of Technology, the Netherlands. All Rights Reserved.